Subject: Re: Kernel cannot see PCI device

From: Stefan Roese <[email-masked]>
Date: Wed, 25 May 2011 11:57:12 +0200

On Tuesday 24 May 2011 23:43:08 Benjamin Herrenschmidt wrote:
> On Tue, 2011-05-24 at 10:25 +0530, Prashant Bhole wrote:
> > Fixed the problem by soft resetting the PCIe port in the function
> > ppc460ex_pciex_port_init_hw().
> > Is it a right thing to do?

<snip>

> Well, it's odd that you'd have to do that, maybe something the
> bootloader is doing ?
> 
> I personally don't mind but I'd like Stefan and/or Tirumala opinion on
> this.

Not sure. I had no problems with the PCIe cards I tested with the current 
code. But from my experience, this card reset behavior is highly card/device 
dependent.

It would be good to know that this new code doesn't break detection of other 
PCIe cards/devices. Prashant, did you check this new code with other PCIe 
cards/devices as well? If this patch doesn't break other PCIe cards like the 
Intel PRO/1000, then:

Acked-by: Stefan Roese <[email-masked]>

Cheers,
Stefan